<?php

namespace App\Http\Controllers\kpiAchievement;

use App\Http\Controllers\Controller;
use App\Services\KpiAchievement\EmployeeKpiAchievementService;
use Illuminate\Http\Request;

class kpiAchievementUpdatedController extends Controller
{
    public function index(Request $request)
    {
        $kpiAchievementService = new EmployeeKpiAchievementService();
        $kpiAchievements = $kpiAchievementService->getKpiAchievements($request);
        $achievementTypeList = $kpiAchievementService->getAchievementTypeList();
        return view('content.kpiAchievement.kpiAchievementUpdated',compact(['kpiAchievements','achievementTypeList']));
    }
}

